Subject: bug#47200: closed (Re: bug#47200: [PATCH] Special Read Syntax: remove duplicate item)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Mar 2021 12:52:02 +0000

Your bug report

#47200: [PATCH] Special Read Syntax: remove duplicate item

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47200: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47200
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47200: [PATCH] Special Read Syntax: remove duplicate item
From: Eli Zaretskii <[email-masked]>
To: Fabrice Bauzac-Stehly <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Mar 2021 14:51:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Fabrice Bauzac-Stehly <[email-masked]>
> Date: Tue, 16 Mar 2021 21:40:03 +0100
> 
> I have spotted a duplicate table item in the elisp manual:
> 
> 2.2 Special Read Syntax
> =======================
> ...
> ‘#@N’
>      Skip the next ‘N’ characters (*note Comments::).
> ...
> ‘#@N’
>      Skip the next ‘N’ characters (*note Comments::).  This is used in
>      byte-compiled files, and is not meant to be used in Emacs Lisp
>      source files.
> 
> The attached patch removes the first occurrence.

Thanks, I installed this on the emacs-27 branch, with some minor
fixups of the commit log message.  Please look at the log message I
pushed and try following our style in the future (you will find
details about the style in CONTRIBUTE).

Subject: [PATCH] Special Read Syntax: remove duplicate item
From: Fabrice Bauzac-Stehly <[email-masked]>
To: [email-masked]
Date: Tue, 16 Mar 2021 21:40:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs

Hello,

I have spotted a duplicate table item in the elisp manual:

2.2 Special Read Syntax
=======================
...
‘#@N’
     Skip the next ‘N’ characters (*note Comments::).
...
‘#@N’
     Skip the next ‘N’ characters (*note Comments::).  This is used in
     byte-compiled files, and is not meant to be used in Emacs Lisp
     source files.

The attached patch removes the first occurrence.

>From 2ce6fbcc140f4ffc8a1cc7270add04c5162c8c7e Mon Sep 17 00:00:00 2001
From: Fabrice Bauzac <[email-masked]>
Date: Tue, 16 Mar 2021 21:09:15 +0100
Subject: [PATCH] Special Read Syntax: remove duplicate item

* doc/lispref/objects.texi: remove duplicate item "#@N" from the table
of Special Read Syntax.
---
 doc/lispref/objects.texi | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/doc/lispref/objects.texi b/doc/lispref/objects.texi
index 64e7d53d93..0d0caebd1f 100644
--- a/doc/lispref/objects.texi
+++ b/doc/lispref/objects.texi
@@ -148,9 +148,6 @@ Special Read Syntax
 object, so when reading back the object, they will be the same object
 instead of copies (@pxref{Circular Objects}).
 
-@item #@@N
-Skip the next @samp{N} characters (@pxref{Comments}).
-
 @item #xN
 @samp{N} represented as a hexadecimal number (@samp{#x2a}).
 
-- 
2.30.2

-- 
Fabrice Bauzac-Stehly
PGP 01EEACF8244E9C14B551C5256ADA5F189BD322B6
old PGP 015AE9B25DCB0511D200A75DE5674DEA514C891D